summaryrefslogtreecommitdiff
path: root/tests/mv/dir-file
diff options
context:
space:
mode:
Diffstat (limited to 'tests/mv/dir-file')
-rwxr-xr-xtests/mv/dir-file4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/mv/dir-file b/tests/mv/dir-file
index 417b51d53..9c540b293 100755
--- a/tests/mv/dir-file
+++ b/tests/mv/dir-file
@@ -1,7 +1,7 @@
#!/bin/sh
# mv must fail when src and dest are mismatched directory/non-directory.
-# Copyright (C) 2000 Free Software Foundation, Inc.
+# Copyright (C) 2000, 2006 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -25,7 +25,7 @@ fi
tmp=mv-mismatch-$$
pwd=`pwd`
-trap "cd $pwd; rm -rf $tmp" 0 1 2 3 15
+trap 'cd "$pwd" && rm -rf $tmp' 0 1 2 3 15
framework_failure=0
mkdir $tmp || framework_failure=1